%global __requires_exclude ^pear\\(gda.*\\)

%define api		6.0
%define	major		6
%define gmajor		6.0

%define libname		%mklibname gda %{api} %{major}
%define devname		%mklibname -d gda%{api}
%define girname		%mklibname gda-gir %{gmajor}
%define girname_ui	%mklibname gdaui-gir %{gmajor}

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%bcond_with tools
%bcond_with doc

Summary:	GNU Data Access
Name: 		libgda
Version:	6.0.0
Release:	%mkrel 5
License: 	GPLv2+ and LGPLv2+
Group: 		Databases
URL:            https://www.gnome-db.org/
Source0:	https://download.gnome.org/sources/libgda/%{url_ver}/libgda-%{version}.tar.xz
# build with gtksourceview-4
Patch3:		libgda-gtksourceview-4.patch
# fix soversion
Patch4:		libgda-soversion.patch
# From SUSE:
Patch5:		overflow-undefined-behavior.patch
Patch6:		libgda-no-gtkdoc-markers.patch
#
Patch7:		0001-Fix-CVE-2021-39359-by-forcing-TLS-certificate-valida.patch
BuildRequires:	meson
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-no-export-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(goocanvas-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtksourceview-4)
BuildRequires:	pkgconfig(iso-codes)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(libgvc)
BuildRequires:	pkgconfig(libsecret-1)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	db-devel
BuildRequires:	mysql-devel
BuildRequires:	postgresql-devel
BuildRequires:	openldap-devel
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(sqlcipher)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(readline)
BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	gettext
BuildRequires:  intltool
BuildRequires:	gtk-doc
BuildRequires:	itstool
BuildRequires:	locales
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	yelp-tools
BuildRequires:	vala-devel
BuildRequires:	valadoc

%description
GNU Data Access is an attempt to provide uniform access to different kinds of
data sources (databases, information servers, mail spools, etc). It is a
complete architecture that provides all you need to access your data.

%package -n %{name}%{api}
Summary:	%{summary}
Group:		Databases
Obsoletes:	libgda < 6.0.0-2
Requires:	iso-codes

%description -n %{name}%{api}
GNU Data Access is an attempt to provide uniform access to different kinds of
data sources (databases, information servers, mail spools, etc). It is a
complete architecture that provides all you need to access your data.

%package -n %{libname}
Summary:	GNU Data Access Development
Group: 		System/Libraries
Requires:	%{name}%{api} >= %{version}
Requires:	%{name}%{api}-sqlite >= %{version}

%description -n	%{libname}
GNU Data Access is an attempt to provide uniform access to different kinds of
data sources (databases, information servers, mail spools, etc). It is a
complete architecture that provides all you need to access your data.

%package -n %{devname}
Summary:	GNU Data Access Development
Group: 		Development/Databases
Requires:	%{libname} = %{version}
Requires:	%{girname} = %{version}
%if %{with tools}
Requires:	%{girname_ui} = %{version}
%endif
Provides:	gda%{api}-devel = %{version}-%{release}
Provides:	%{name}%{api}-devel = %{version}-%{release}

%description -n	%{devname}
GNU Data Access is an attempt to provide uniform access to different kinds of
data sources (databases, information servers, mail spools, etc). It is a
complete architecture that provides all you need to access your data.

%package -n %{girname}
Summary:        GObject Introspection interface description for Gda
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for Gda.

%package -n %{girname_ui}
Summary:        GObject Introspection interface description for Gdaui
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}

%description -n %{girname_ui}
GObject Introspection interface description for Gdaui.

%package -n %{name}%{api}-postgres
Summary:	GDA PostgreSQL Provider
Group:		Databases
Requires:	%{name}%{api} = %{version}
Obsoletes:	libgda-postgres < 6.0.0-2

%description -n %{name}%{api}-postgres
GNU Data Access is an attempt to provide uniform access to different kinds of
data sources (databases, information servers, mail spools, etc). It is a
complete architecture that provides all you need to access your data.

This package includes the GDA PostgreSQL provider.

%package -n %{name}%{api}-mysql
Summary:	GDA MySQL Provider
Group:		Databases
Requires:	%{name}%{api} = %{version}
Obsoletes:      libgda-mysql < 6.0.0-2

%description -n %{name}%{api}-mysql
GNU Data Access is an attempt to provide uniform access to different kinds of
data sources (databases, information servers, mail spools, etc). It is a
complete architecture that provides all you need to access your data.

This package includes the GDA MySQL provider.

%package -n %{name}%{api}-bdb
Summary:	GDA Berkeley Database Provider
Group:		Databases
Requires:	%{name}%{api} = %{version}
Obsoletes:      libgda-bdb < 6.0.0-2

%description -n %{name}%{api}-bdb
GNU Data Access is an attempt to provide uniform access to different kinds of
data sources (databases, information servers, mail spools, etc). It is a
complete architecture that provides all you need to access your data.

This package includes the GDA Berkeley Database provider.

%package -n %{name}%{api}-sqlite
Summary:	GDA sqlite Provider
Group:		Databases
Requires:	%{name}%{api} = %{version}
Obsoletes:      libgda-sqlite < 6.0.0-2

%description -n %{name}%{api}-sqlite
GNU Data Access is an attempt to provide uniform access to different kinds of
data sources (databases, information servers, mail spools, etc). It is a
complete architecture that provides all you need to access your data.

This package includes the GDA sqlite provider.

%prep
%setup -q
%autopatch -p1

%build
%meson \
  -Dtools=%{?with_tools:true}%{?!with_tools:false} \
  -Dexperimental=%{?with_tools:true}%{?!with_tools:false} \
  -Dldap=%{?with_tools:true}%{?!with_tools:false} \
  -Ddoc=%{?with_doc:true}%{?!with_doc:false}
%meson_build

%install
%meson_install

%find_lang %{name}-%{api}

%files -n %{name}%{api} -f %{name}-%{api}.lang
%doc AUTHORS COPYING README
%if %{with tools}
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/applications/org.gnome.gda.Browser.desktop
%{_datadir}/icons/hicolor/*/apps/org.gnome.gda.Browser.{png,svg}
%{_datadir}/pixmaps/org.gnome.gda.Browser.png
%{_metainfodir}/org.gnome.gda.Browser.appdata.xml
%endif
%{_datadir}/libgda-%{api}/

%dir %{_libdir}/libgda-%{api}/
%dir %{_libdir}/libgda-%{api}/providers/
%{_libdir}/libgda-%{api}/providers/libgda-sqlcipher-%{api}.so

%if %{with tools}
%{_libdir}/libgda-%{api}/providers/libgda-ldap-%{api}.so
%dir %{_libdir}/libgda-%{api}/plugins/
%{_libdir}/libgda-%{api}/plugins/libgda-ui-plugins-libgda-%{api}.so
%endif

%files -n %{libname}
%{_libdir}/libgda-%{api}.so.%{major}{,.*}
%if %{with tools}
%{_libdir}/libgda-report-%{api}.so.%{major}{,.*}
%{_libdir}/libgda-ui-%{api}.so.%{major}{,.*}
%{_libdir}/libgda-xslt-%{api}.so.%{major}{,.*}
%endif

%files -n %{girname}
%{_libdir}/girepository-1.0/Gda-%{gmajor}.typelib

%if %{with tools}
%files -n %{girname_ui}
%{_libdir}/girepository-1.0/Gdaui-%{gmajor}.typelib
%endif

%files -n %{devname}
%if %{with doc}
%doc %{_datadir}/gtk-doc/html/libgda-%{api}/
%doc %{_datadir}/devhelp/books/Gda-%{api}/
%if %{with tools}
%doc %{_datadir}/gtk-doc/html/libgdaui-%{api}/
%doc %{_datadir}/devhelp/books/Gdaui-%{api}/
%endif
%endif
%{_libdir}/libgda-%{api}.so
%if %{with tools}
%{_libdir}/libgda-report-%{api}.so
%{_libdir}/libgda-ui-%{api}.so
%{_libdir}/libgda-xslt-%{api}.so
%endif
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/gir-1.0/Gda-%{api}.gir
%if %{with tools}
%{_datadir}/gir-1.0/Gdaui-%{api}.gir
%endif
%{_datadir}/vala/vapi/libgda*

%files -n %{name}%{api}-sqlite
%{_libdir}/libgda-%{api}/providers/libgda-sqlite-%{api}.so

%files -n %{name}%{api}-postgres
%{_libdir}/libgda-%{api}/providers/libgda-postgres-%{api}.so

%if 0
%files -n %{name}%{api}-bdb
%{_libdir}/libgda-%{api}/providers/libgda-bdb-%{api}.so
%endif

%if 0
%files -n %{name}%{api}-mysql
%{_libdir}/libgda-%{api}/providers/libgda-mysql-%{api}.so
%endif


%changelog
* Sun Mar 16 2025 wally <wally> 6.0.0-5.mga10
+ Revision: 2164891
- rebuild for libxml2 2.13.6

* Sat Apr 02 2022 umeabot <umeabot> 6.0.0-4.mga9
+ Revision: 1841184
- Mageia 9 Mass Rebuild

* Fri Dec 31 2021 wally <wally> 6.0.0-3.mga9
+ Revision: 1765638
- add SUSE patch to fix build with new vala
- add upstream patch to fix CVE-2021-39359 (mga#29834)

* Sat Sep 04 2021 wally <wally> 6.0.0-2.mga9
+ Revision: 1744299
- add api version to main pkg name
- add api version to provider pkg names

* Sat Sep 04 2021 wally <wally> 6.0.0-1.mga9
+ Revision: 1744278
- fork as libgda
- new version 6.0.0
- disable experimental GUI Tools build
- disable docs

* Wed Mar 24 2021 ovitters <ovitters> 5.2.10-1.mga9
+ Revision: 1709326
- new version 5.2.10
+ wally <wally>
- fix build with mariadb
- port to gtksourceview4

* Tue Feb 18 2020 umeabot <umeabot> 5.2.9-3.mga8
+ Revision: 1542182
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jan 04 2020 luigiwalser <luigiwalser> 5.2.9-2.mga8
+ Revision: 1475978
- rebuild for readline

* Tue Oct 29 2019 daviddavid <daviddavid> 5.2.9-1.mga8
+ Revision: 1456507
- new version: 5.2.9
- remove report converter functionality that relies on ancient python2 scripts

* Mon Jan 14 2019 luigiwalser <luigiwalser> 5.2.8-1.mga7
+ Revision: 1356217
- 5.2.8
- remove upstreamed patch 1
- rediff patch 2

* Sun Sep 23 2018 umeabot <umeabot> 5.2.4-7.mga7
+ Revision: 1298859
- Mageia 7 Mass Rebuild

* Sat Dec 23 2017 wally <wally> 5.2.4-6.mga7
+ Revision: 1184224
- rebuild for new mariadb

* Mon Sep 25 2017 cjw <cjw> 5.2.4-5.mga7
+ Revision: 1158858
- add buildrequires: yelp-tools
- patch1: convert header files to UTF-8 to fix build with glib 2.54
- patch2: use system sqlcipher
+ daviddavid <daviddavid>
- rebuild for new openssl 1.1.0
- fix for new find_lang

* Mon Feb 15 2016 umeabot <umeabot> 5.2.4-4.mga6
+ Revision: 960982
- Mageia 6 Mass Rebuild

* Fri Sep 11 2015 fwang <fwang> 5.2.4-3.mga6
+ Revision: 876915
- rebuild for new libgcrypt

* Mon Jun 29 2015 wally <wally> 5.2.4-2.mga6
+ Revision: 847528
- add requires for gir pkg to devel pkg

* Sat Jun 20 2015 ovitters <ovitters> 5.2.4-1.mga6
+ Revision: 836650
- new version 5.2.4

* Tue Nov 25 2014 cjw <cjw> 5.2.2-6.mga5
+ Revision: 798979
- rebuild against postgresql9.4
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 wally <wally> 5.2.2-4.mga5
+ Revision: 731350
- add requires excludes

* Sun Sep 28 2014 tv <tv> 5.2.2-3.mga5
+ Revision: 731175
- rebuild so that it picks typelib() requires

* Tue Sep 16 2014 umeabot <umeabot> 5.2.2-2.mga5
+ Revision: 681476
- Mageia 5 Mass Rebuild

* Wed Feb 05 2014 fwang <fwang> 5.2.2-1.mga5
+ Revision: 583068
- update file list
- update file list
+ ovitters <ovitters>
- new version 5.2.2
- new version 5.2.1
- new version 5.2.0

* Sat Oct 19 2013 umeabot <umeabot> 5.1.2-3.mga4
+ Revision: 534245
- Mageia 4 Mass Rebuild

* Tue Sep 10 2013 fwang <fwang> 5.1.2-2.mga4
+ Revision: 477046
- rebuild for new postgresql

* Tue May 28 2013 fwang <fwang> 5.1.2-1.mga4
+ Revision: 429094
- fix str fmt
+ ovitters <ovitters>
- drop merged patches
- new version 5.1.2

* Sat Jan 12 2013 umeabot <umeabot> 5.1.1-2.mga3
+ Revision: 357158
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 24 2012 fwang <fwang> 5.1.1-1.mga3
+ Revision: 296943
- add upstream fix to build gir
- drop merged patch
- new version 5.1.1

* Sun Jul 15 2012 wally <wally> 5.1.0-1.mga3
+ Revision: 271069
- split out gir typelibs
- build gi for sure
- clean .spec a bit
+ ovitters <ovitters>
- add patch for string literal
- drop patch 0 (upstreamed)
- new version 5.1.0

* Wed Mar 14 2012 fwang <fwang> 5.0.3-3.mga2
+ Revision: 223311
- fix linkage

* Wed Mar 14 2012 fwang <fwang> 5.0.3-2.mga2
+ Revision: 223305
- add upstream patch to connect to mysql 4.x db (bug#4930)

* Wed Jan 25 2012 fwang <fwang> 5.0.3-1.mga2
+ Revision: 200698
- update file list
- new version 5.0.3

* Sun Nov 20 2011 wally <wally> 5.0.2-1.mga2
+ Revision: 170033
- new version 5.0.2

* Mon Nov 07 2011 wally <wally> 5.0.1-1.mga2
+ Revision: 164936
- new version 5.0.1

* Fri Oct 28 2011 wally <wally> 5.0.0-1.mga2
+ Revision: 159169
- new version 5.0.0

* Sat Sep 24 2011 fwang <fwang> 4.99.4-1.mga2
+ Revision: 147270
- update libmajor
- br readline
- add prefix for bdb
- build with system sqlite
- typo
- br cryptto
- imported package libgda5.0

